Ricerca web ospitata
Utilizza lo strumento Responses API web_search invece di un endpoint autonomo.
Ricerca web ospitata
Model Gate non ne pubblica uno separato /v1/web-search richiedere contratto. Utilizzo POST /v1/responses con l'ospitato web_search attrezzo.
Richiesta
curl https://api.model-gate.com/v1/responses \
-H "Authorization: Bearer mg_live_..." \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4",
"input": [{"role": "user", "content": [{"type": "input_text", "text": "Find the latest official release notes."}]}],
"tools": [{"type": "web_search"}],
"tool_choice": "required",
"include": ["web_search_call.action.sources"],
"stream": false
}'
Risposta
L'oggetto Responses completato include l'output del modello e le origini di ricerca Web verificabili quando il modello upstream supporta la ricerca ospitata.
{
"id": "resp_...",
"object": "response",
"status": "completed",
"output": [
{
"type": "web_search_call",
"action": {
"sources": [
{"type": "url", "url": "https://example.com/source"}
]
}
},
{
"type": "message",
"content": [
{"type": "output_text", "text": "..."}
]
}
]
}